aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.d/init.d/dhcpcd
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/init.d/dhcpcd')
-rwxr-xr-xetc/rc.d/init.d/dhcpcd29
1 files changed, 29 insertions, 0 deletions
diff --git a/etc/rc.d/init.d/dhcpcd b/etc/rc.d/init.d/dhcpcd
new file mode 100755
index 00000000..342707a3
--- /dev/null
+++ b/etc/rc.d/init.d/dhcpcd
@@ -0,0 +1,29 @@
+#!/bin/sh
+. /lib/lsb/init-functions
+
+case "${1}" in
+ start)
+ log_info_msg "Starting dhcpcd..."
+ start_daemon /sbin/dhcpcd
+ evaluate_retval
+ ;;
+
+ stop)
+ log_info_msg "Stopping dhcpcd..."
+ killproc /sbin/dhcpcd
+ evaluate_retval
+ ;;
+
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+
+ *)
+ echo "Usage: ${0} {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+exit 0